Bug 94380 - Searching target in a PDF document to do a hyperlink is very slow
Summary: Searching target in a PDF document to do a hyperlink is very slow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
Depends on:
Blocks: PDF-Export Hyperlink
  Show dependency treegraph
 
Reported: 2015-09-20 13:51 UTC by Rpnpif
Modified: 2019-09-02 09:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2015-09-20 13:51:36 UTC
To create a hyperlink, if the target document has a PDF type without summary, LO start a dead loop with 100% charge of the CPU.

To reproduce :

1. Download the file : http://eduscol.education.fr/sti/sites/eduscol.education.fr.sti/files/ressources/techniques/4808/4808-think-grid-10-en.pdf.

2. Open Writer and insert a hyperlink on the document 4808-think-grid-10-en.pdf.
In the dialogue box, choose a Target in Document.

3. LO start a high load activity with never stop.

Expected :
If there are none summary in the target PDF document, LO should say that.
Comment 1 Buovjaga 2015-09-20 17:43:17 UTC
Repro.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 Rpnpif 2015-12-27 11:25:38 UTC
With Version: 5.1.0.1 Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a, on AMD A4-5300 APU and Debian 8.2 (amd64), this issue is still present but after about 3 minutes, the hyperlink can be created.

Also, when I open the PDF document in LO, the operation takes at least 3 minutes, but now the operation is completed.
Also, the quality of the conversion of this PDF is very bad with a great mix of the layouts.

I conclude that the bad performance of the conversion of this PDF is the cause of this issue.
Comment 3 QA Administrators 2017-01-03 19:55:41 UTC Comment hidden (obsolete)
Comment 4 Rpnpif 2017-01-04 16:59:32 UTC
With the 5.2.4 release, the issue is partially fixed.

Now, the hyperlink is created in about one minute.
But several actions during the creation takes one minute for each. So the issue is now a performance issue.

I get a hyperlink as file:///tmp/4808-think-grid-10-en.pdf#Diapo 5, for example.

I saw another issue : clicking on this link open the PDF file but not on the Diapo 5.
Comment 5 QA Administrators 2018-08-22 02:37:43 UTC Comment hidden (obsolete)
Comment 6 Rpnpif 2018-08-23 10:26:12 UTC
This bug is still present in Version: 6.1.0.3
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
Threads CPU : 2; OS : Linux 4.9; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.utf8); Calc: group threaded
Comment 7 QA Administrators 2019-09-02 09:21:47 UTC
Dear Rpnpif,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug